complexType "ElectricityDeliveryType"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 4 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | firm? | nonFirm? | systemFirm? | unitFirm?
</...>

Content Model Elements (4):

  firm, nonFirm, systemFirm, unitFirm

All Direct / Indirect Based Elements (1):

  deliveryType

Known Usage Locations

- As direct type of elements (1):
  deliveryType

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="ElectricityDeliveryType"> <xsd:choice> <xsd:element minOccurs="0" name="firm" type="ElectricityDeliveryFirm"/> <xsd:element minOccurs="0" name="nonFirm" type="xsd:boolean"/> <xsd:element minOccurs="0" name="systemFirm" type="ElectricityDeliverySystemFirm"/> <xsd:element minOccurs="0" name="unitFirm" type="ElectricityDeliveryUnitFirm"/> </xsd:choice> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
firm

  Type: | ElectricityDeliveryFirm, empty content

  Indicates under what condtitions the Parties' delivery obligations apply.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="firm" type="ElectricityDeliveryFirm"/>

nonFirm

  Type: | xsd:boolean, predefined, simple content

  If present and set to true, indicates that delivery or receipt of the electricity may be interrupted for any reason or for no reason, without liability on the part of either Party. This element should never have a value of false.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="nonFirm" type="xsd:boolean"/>

systemFirm

  Type: | ElectricityDeliverySystemFirm, complex content

  Indicates that the electricity is intended to be supplied from the owned or controlled generation or pre-existing purchased power assets of the system specified.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="systemFirm" type="ElectricityDeliverySystemFirm"/>

unitFirm

  Type: | ElectricityDeliveryUnitFirm, complex content

  Indicates that the electricity is intended to be supplied from a generation asset which can optionally be specified.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="unitFirm" type="ElectricityDeliveryUnitFirm"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.